```@meta
CurrentModule = TimeStruct
```

# Available time structures

```@docs
TimeStructure
```

```@docs
SimpleTimes
```

```@docs
CalendarTimes
```

```@docs
RepresentativePeriods
```

```@docs
OperationalScenarios
```

```@docs
TwoLevel
```

# Properties of time periods

```@docs
duration
```


```@docs
isfirst
```

```@docs
multiple
```


```@docs
probability
```

# Iterating time structures

```@docs
repr_periods
```

```@docs
opscenarios
```

```@docs
strat_periods
```

```@docs
withprev
```

```@docs
chunk
```

```@docs
chunk_duration
```


# Time profiles

```@docs
FixedProfile
```

```@docs
OperationalProfile
```

```@docs
RepresentativeProfile
```

```@docs
ScenarioProfile
```

```@docs
StrategicProfile
```

# Discounting

```@docs
discount
```

```@docs
objective_weight
```

```@docs
Discounter
```
